## caldera 5.3.0

=== requirements.txt ===
aiohttp-jinja2==1.5.1
aiohttp==3.10.11
aiohttp_session==2.12.0
aiohttp-security==0.4.0
aiohttp-apispec==3.0.0b2
jinja2==3.1.6
pyyaml==6.0.1
cryptography==44.0.1
websockets==15.0
Sphinx==7.1.2
sphinx_rtd_theme==1.3.0
myst-parser==2.0.0
marshmallow==3.20.1
dirhash==0.2.1
marshmallow-enum==1.5.1
ldap3==2.9.1
lxml~=4.9.1  # debrief
reportlab==4.0.4  # debrief
rich==13.7.0
svglib==1.5.1  # debrief
Markdown==3.4.4  # training
dnspython==2.6.1
asyncssh==2.20.0
aioftp~=0.20.0
packaging==23.2
croniter~=3.0.3
setuptools==75.6.0

=== plugins/debrief/requirements.txt ===
lxml==4.9.1
reportlab==4.0.4
svglib==1.5.1

=== plugins/emu/requirements.txt ===
pyminizip==0.2.6

=== plugins/human/requirements.txt ===
lorem==0.1.1
selenium==3.141.0
webdriver-manager==3.5.2
pyautogui==0.9.53
beautifulsoup4

=== plugins/stockpile/requirements.txt ===
donut-shellcode==1.0.2
networkx==2.8.5
numpy>=1.20
matplotlib>=3.5.2

=== plugins/human/pyhuman/requirements.txt ===
lorem
certifi
chardet
colorama
configparser
crayons
idna
pyautogui
requests
selenium
urllib3
webdriver-manager
beautifulsoup4
lxml

=== debian/changelog ===
caldera (5.3.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Add patch to fix Python3 syntax warnings
  * Fix broken patch that replaces copy_tree with copytree
  * Update d/watch to use gitmodules, drop custom script, rework d/rules
  * Drop useless mkdir
  * New upstream version 5.3.0
  * Drop obsolete constraints
  * Add basic runtime dependencies: curl, unzip
  * Document build dependencies that are used for testing only
  * Add new Python dependencies
  * Adjust patches for new upstream version
  * Build the UI/UX Vue.js framework of Caldera v5 (aka. plugins/magma)
  * Remove execute bit on go source files to please Lintian
  * Rework Lintian overrides
  * Bump standards version
  * Fix autopkgtest, disable the second part...

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 12 Jun 2025 11:53:12 +0700

caldera (4.2.0-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Fix for Python 3.12 (upstream patch)
  * Replace copy_tree with copytree in plugins/fieldmanual

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 15 Aug 2024 11:09:17 +0700

caldera (4.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.2.0
  * Refresh patches
  * remove usage of python3-marshmallow-enum

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Aug 2023 10:43:12 +0200

caldera (4.1.0-0kali2) kali-dev; urgency=medium

  * wrap-and-sort
  * Create data directory
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 11 May 2023 16:34:05 -0500

caldera (4.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.1.0
  * Refresh patches
  * Update lintian-overrides
  * Remove override_dh_autotest
  * Add missing depends: python3-aioftp and python3-asyncssh
  * Add missing python3-myst-parser in build-dep and dep
  * Bump Standards-Version to 4.6.2
  * Change ftp_dir to /var/lib/caldera
  * Add non-superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Mar 2023 10:20:11 +0100

caldera (4.0.0-0kali1) kali-dev; urgency=medium

  * debian/script-targz must be executable
  * New upstream version 4.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Sep 2022 15:49:00 +0200

caldera (3.1.0-0kali4) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add executable to helper-script
  * New helper-script format
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * Add superficial autopkgtest
  * Fix autopkgtest
  * Remove useless depends on essential package util-linux
  * Update lintian-overrides
  * Improve installation

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Feb 2022 14:02:39 +0100

caldera (3.1.0-0kali3) kali-dev; urgency=medium

  * Add minimal required version of python3-aiohttp-apispec

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 29 Dec 2021 17:04:19 +0100

caldera (3.1.0-0kali2) kali-dev; urgency=medium

  * Run tests during the build

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 May 2021 10:24:33 +0200

caldera (3.1.0-0kali1) kali-dev; urgency=medium

  * Initial release (see 7178)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 May 2021 15:03:34 +0200

=== debian/control ===
Source: caldera
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 npm,
 python3-aioftp,
 python3-aiohttp,
 python3-aiohttp-apispec,
 python3-aiohttp-jinja2,
 python3-aiohttp-security,
 python3-aiohttp-session,
 python3-all,
 python3-asyncssh,
 python3-croniter,
 python3-cryptography,
 python3-cssselect2,
 python3-dnspython,
 python3-docker,
 python3-donut,
 python3-jinja2,
 python3-ldap3,
 python3-lxml,
 python3-markdown,
 python3-marshmallow,
 python3-myst-parser,
 python3-packaging,
 python3-pathspec,
 python3-pygments,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-recommonmark,
 python3-reportlab,
 python3-rich,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-websockets,
 python3-yaml,
Standards-Version: 4.7.2
Homepage: https://github.com/mitre/caldera
Vcs-Browser: https://gitlab.com/kalilinux/packages/caldera
Vcs-Git: https://gitlab.com/kalilinux/packages/caldera.git
Rules-Requires-Root: no

Package: caldera
Architecture: all
Depends:
 adduser,
 curl,
 git,
 golang-go,
 python3-aioftp,
 python3-aiohttp,
 python3-aiohttp-apispec,
 python3-aiohttp-jinja2,
 python3-aiohttp-security,
 python3-aiohttp-session,
 python3-asyncssh,
 python3-croniter,
 python3-cryptography,
 python3-cssselect2,
 python3-dnspython,
 python3-docker,
 python3-donut,
 python3-jinja2,
 python3-ldap3,
 python3-lxml,
 python3-markdown,
 python3-marshmallow,
 python3-myst-parser,
 python3-packaging,
 python3-pathspec,
 python3-pygments,
 python3-recommonmark,
 python3-reportlab,
 python3-rich,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-websockets,
 python3-yaml,
 sudo,
 unzip,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-svglib,
Description: Scalable Automated Adversary Emulation Platform
 This package contains a cyber security framework designed to easily automate
 adversary emulation, assist manual red-teams, and automate incident response.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with python3

execute_before_dh_auto_build:
	export HOME=$(CURDIR)/debian/fakehomenpm && \
	cd plugins/magma && npm install && npm run build

override_dh_install:
	# Do NOT exclude .gitkeep yet, as dh_install doesn't install empty directories,
	# but some of them are required at runtime
	dh_install -X.eslintrc.js -X.github/ -X.gitignore -Xpycache -Xplugins/magma/node_modules/
	# Now we can remove .gitkeep
	find debian/caldera/ -name .gitkeep -type f -delete
	# Keep Lintian happy
	chmod -x debian/caldera/var/lib/caldera/plugins/sandcat/gocat/privdetect/privilegedetect.go
	chmod -x debian/caldera/var/lib/caldera/plugins/sandcat/gocat-extensions/execute/native/aws/s3upload_test.go

=== debian/tests/control ===
Test-Command: caldera -h
Restrictions: superficial, needs-root, allow-stderr

Tests: runtest.sh
Restrictions: allow-stderr, isolation-container, needs-root
Depends:
 curl,
 yq,
 @,

=== debian/watch ===
version=4
opts="mode=git, gitmode=shallow, gitmodules" \
   https://github.com/mitre/caldera refs/tags/@ANY_VERSION@
